<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Plants &mdash; 4PointX Documentation 1.0 documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script src="../../_static/sphinx_highlight.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="Pipelines" href="pipelines.html" />
    <link rel="prev" title="Monitors" href="monitors.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../index.html" class="icon icon-home">
            4PointX Documentation
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../4pointx_docs/introduction/index.html">Introduction</a><ul class="simple">
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../4pointx_docs/getting_started_with_4pointx_cloud/index.html">Getting Started with 4PointX Cloud</a><ul class="simple">
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/index.html">Deploy 4PointX Self-Managed</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/pre_requisites/index.html">Pre-requisites</a><ul class="simple">
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/pre_installation_guide/index.html">Pre Installation Guide</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/pre_installation_guide/k8s_installation_guide/index.html">K8S Installation Guide</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/pre_installation_guide/helm_installation_guide/index.html">Helm Installation Guide</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/deploy_4pointx_iaot_suite/index.html">Deploy 4PointX IAoT Suite</a><ul class="simple">
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/log_in_to_4pointx_iaot_suite/index.html">Log in to 4PointX IAoT Suite</a><ul class="simple">
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/upgrade_or_uninstall_4pointx/index.html">Upgrade or Uninstall 4PointX</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/upgrade_or_uninstall_4pointx/upgrade_4pointx_platform/index.html">Upgrade 4PointX Platform</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/upgrade_or_uninstall_4pointx/uninstall_4pointx_platform/index.html">Uninstall 4PointX Platform</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/maintain_4px_cluster/index.html">Maintain 4PX Cluster</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/maintain_4px_cluster/k8s_dashboard_guide/index.html">K8S DASHBOARD Guide</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/maintain_4px_cluster/resize_4px_modules/index.html">Resize 4PX Modules</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/tls_security/index.html">TLS Security</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/tls_security/index.html#design">Design</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/tls_security/index.html#updating-ssl-certificates">Updating SSL Certificates</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/deploy_4pointx_self_managed/next_steps/index.html">Next Steps</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../4pointx_docs/apps/index.html">Apps</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/apps/energy_monitoring_system_ems/index.html">Energy Monitoring System (EMS)</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/apps/energy_monitoring_system_ems/specific_energy/index.html">Specific Energy</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/apps/energy_monitoring_system_ems/idle_energy/index.html">Idle Energy</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/apps/energy_monitoring_system_ems/product_variation/index.html">Product Variation</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/apps/energy_monitoring_system_ems/other_info_ems/index.html">Other Info - EMS</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/apps/energy_monitoring_system_ems/other_info_ems/articles_references_ems/index.html">Articles &amp; References - EMS</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/energy_monitoring_system_ems/other_info_ems/articles_references_ems/index.html#power-meters">Power Meters</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/energy_monitoring_system_ems/other_info_ems/articles_references_ems/index.html#oem-vendors">OEM Vendors</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/energy_monitoring_system_ems/other_info_ems/articles_references_ems/index.html#articles">Articles</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/apps/energy_monitoring_system_ems/other_info_ems/articles_references_ems/index.html#things-you-should-consider-when-choosing-a-power-meter">3 Things You Should Consider When Choosing a Power Meter</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/index.html">Condition-based Maintenance (CBM)</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/summary/index.html">Summary</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/asset_health_dashboard/index.html">Asset Health Dashboard</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/real_time_monitoring/index.html">Real-time Monitoring</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/real_time_monitoring/index.html#grouping-interval-logic-implemented-in-the-front-end">Grouping Interval logic implemented in the Front-End:</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/real_time_monitoring/index.html#code">Code:</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/real_time_monitoring/index.html#id1">Code:</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/process_correlation/index.html">Process Correlation</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/fault_diagnostics/index.html">Fault Diagnostics</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/index.html">Other Info - CM</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html">Competitor Solutions - CM</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#teco-group">Teco Group</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#infinite-uptime">Infinite Uptime</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#web-app">Web App</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#sensor-manual">Sensor Manual</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#api-documentation">API Documentation</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#rs-485-modbus-specs">RS-485/ Modbus Specs</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#dashboard">Dashboard</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#gd-folder">GD Folder</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#datakrew">DataKrew</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#sample-cases">Sample Cases</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#case-1">Case 1</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#diagnostics">Diagnostics</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#detailed-report-attached">Detailed report attached</a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#case-2">Case 2</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#id1">Diagnostics</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#id2">Detailed report attached</a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#bk-vibro">BK Vibro</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#gantner-instruments">Gantner Instruments</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#vibro-meter">Vibro-meter</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#omnidots">Omnidots</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#rokade-rototechniks">Rokade Rototechniks</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/competitor_solutions_cm/index.html#cmtechnologies">cmtechnologies</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/articles_and_blogs_cm/index.html">Articles and Blogs - CM</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/condition_based_maintenance_cbm/other_info_cm/articles_and_blogs_cm/index.html#treatment-for-machine-vibration-problems">Treatment for Machine Vibration Problems</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/apps/predictive_maintenance_pdm/index.html">Predictive Maintenance (PdM)</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/apps/predictive_maintenance_pdm/asset_anomalies/index.html">Asset Anomalies</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/apps/predictive_maintenance_pdm/process_anomalies/index.html">Process Anomalies</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/apps/predictive_maintenance_pdm/other_info_pdm/index.html">Other Info - PdM</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/apps/predictive_maintenance_pdm/other_info_pdm/competitor_solutions_anomaly/index.html">Competitor Solutions - Anomaly</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/apps/predictive_maintenance_pdm/other_info_pdm/competitor_solutions_anomaly/index.html#sparkcognition">SparkCognition</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/apps/predictive_maintenance_pdm/other_info_pdm/digital_twin_articles/index.html">Digital Twin articles</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../4pointx_docs/dashboards/index.html">Dashboards</a><ul class="simple">
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../4pointx_docs/alerting/index.html">Alerting</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/alerting/alerts/index.html">Alerts</a><ul class="simple">
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/alerting/watchers/index.html">Watchers</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../4pointx_docs/notebooks/index.html">Notebooks</a><ul class="simple">
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../4pointx_docs/data_management/index.html">Data Management</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/index.html">IoT Gateways</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html">IoT Gateways Introduction</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#data-onboarding">Data Onboarding</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#edge-iot-gateway">Edge IoT Gateway</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#modbus-rtu">Modbus RTU</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#opc-ua">OPC-UA</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#opc-server-python-producer-kafka-python-consumer-elasticsearch">OPC Server &gt; Python (Producer) &gt; Kafka &gt; Python (Consumer) &gt; Elasticsearch</a></li>
</ul>
</li>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#modbus-tcp">Modbus TCP</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#file">File</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#steps-to-onboard-data-from-file">Steps to onboard data from File</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#installing-logstash">Installing Logstash</a><ul>
<li class="toctree-l8"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#centos">CentOS</a></li>
</ul>
</li>
<li class="toctree-l7"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#testing-transformed-data">Testing Transformed Data</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#third-party-apps">Third-Party Apps</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#infinite-uptime">Infinite Uptime</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#cimcon-digital">CimCon Digital</a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#cloud">Cloud</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#aws-s3">AWS S3</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#google-cloud-storage">Google Cloud Storage</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/iot_gateways_introduction/index.html#azure-data-lake">Azure Data Lake</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/edge_iot_gateways/index.html">Edge IoT Gateways</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/edge_iot_gateways/index.html#initial-configuration-steps">Initial Configuration Steps</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/data_management/iot_gateways/edge_iot_gateways/index.html#testing-modbus-slaves">Testing Modbus Slaves</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/data_management/asset_metadata/index.html">Asset Metadata</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/data_management/asset_metadata/plants/index.html">Plants</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/data_management/asset_metadata/functions/index.html">Functions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/data_management/asset_metadata/functions/function_monitors/index.html">Function Monitors</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/data_management/asset_metadata/assets/index.html">Assets</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/data_management/asset_metadata/assets/asset_monitors/index.html">Asset Monitors</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../4pointx_docs/administration/index.html">Administration</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/administration/user_management/index.html">User Management</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/administration/user_management/security_rbac/index.html">Security - RBAC</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/administration/user_management/security_rbac/index.html#roles">Roles</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/administration/user_management/security_rbac/index.html#plant-viewer">Plant Viewer</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/administration/user_management/security_rbac/index.html#plant-analyst">Plant Analyst</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/administration/user_management/security_rbac/index.html#plant-admin">Plant Admin</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/administration/user_management/security_rbac/index.html#site-admin">Site Admin</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/administration/user_management/support_users/index.html">Support Users</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/administration/user_management/support_users/index.html#steps-to-create-support-users-ui">Steps to create support users (UI)</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/administration/user_management/support_users/index.html#create-support-users-using-dev-tools">Create support users using Dev Tools</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/administration/user_management/support_users/index.html#repeat-step-no-5-for-support-admin-user">Repeat Step No. 5 for support-admin user.</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/administration/license_management/index.html">License Management</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../4pointx_docs/partners/index.html">Partners</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/partners/oem_partners/index.html">OEM Partners</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/partners/oem_partners/index.html#hardware-partners">Hardware Partners</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/partners/oem_partners/index.html#other-info">Other Info</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/partners/oem_partners/index.html#tecom">Tecom</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/partners/oem_partners/index.html#durham-instruments">Durham Instruments</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/partners/oem_partners/index.html#https-disensors-com-products-accelerometers-mems">https://disensors.com/products/accelerometers/mems/</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/partners/oem_partners/index.html#converters">Converters</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../4pointx_docs/test_page_for_sphinix_converter/index.html">Test page for sphinix converter</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../../4pointx_docs/test_page_for_sphinix_converter/index.html#header-2">Header 2</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../4pointx_docs/test_page_for_sphinix_converter/index.html#header-3">Header 3</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../4pointx_docs/test_page_for_sphinix_converter/index.html#header-4">Header 4</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../4pointx_docs/test_page_for_sphinix_converter/index.html#header-5">Header 5</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../4pointx_docs/test_page_for_sphinix_converter/index.html#header-6">Header 6</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../4pointx_docs/test_page_for_sphinix_converter/how_to/index.html">How to</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<p class="caption" role="heading"><span class="caption-text">API Documentation</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="index.html"><strong>Asset Metadata APIs</strong></a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="assets.html"><strong>Assets</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="assets.html#create-asset"><strong>Create Asset</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="assets.html#delete-asset"><strong>Delete Asset</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="assets.html#update-asset"><strong>Update Asset</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="assets.html#fetch-asset"><strong>Fetch Asset</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="assets.html#fetch-list-of-assets"><strong>Fetch List of Assets</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="assets.html#get-count-of-assets"><strong>Get Count of Assets</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="functions.html"><strong>Functions</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="functions.html#create-a-function"><strong>Create a Function</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="functions.html#delete-a-function"><strong>Delete a Function</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="functions.html#update-function"><strong>Update Function</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="functions.html#fetch-function"><strong>Fetch Function</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="functions.html#fetch-list-of-functions"><strong>Fetch List of Functions</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="monitors.html"><strong>Monitors</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="monitors.html#create-a-monitor"><strong>Create a Monitor</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="monitors.html#delete-monitor"><strong>Delete Monitor</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="monitors.html#update-monitor"><strong>Update Monitor</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="monitors.html#fetch-monitors"><strong>Fetch Monitors</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="monitors.html#fetch-list-of-monitors"><strong>Fetch List of Monitors</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="monitors.html#get-count-of-monitors"><strong>Get Count of Monitors</strong></a></li>
</ul>
</li>
<li class="toctree-l2 current"><a class="current reference internal" href="#"><strong>Plants</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="#create-a-plant"><strong>Create a Plant</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="#delete-a-plant"><strong>Delete a Plant</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="#update-plant"><strong>Update Plant</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="#fetch-plant"><strong>Fetch Plant</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="#fetch-list-of-plants"><strong>Fetch List of Plants</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pipelines.html"><strong>Pipelines</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="pipelines.html#fetch-list-of-pipelines"><strong>Fetch List of Pipelines</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="pipelines.html#count-pipelines"><strong>Count Pipelines</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="pipelines.html#execute-pipeline-action"><strong>Execute Pipeline Action</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pipelines_edge.html"><strong>Pipelines (Edge Server)</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="pipelines_edge.html#create-edge-server-pipeline"><strong>Create Edge Server Pipeline</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="pipelines_edge.html#delete-pipeline"><strong>Delete Pipeline</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="pipelines_edge.html#update-pipeline"><strong>Update Pipeline</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="pipelines_edge.html#fetch-pipeline"><strong>Fetch Pipeline</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="pipelines_edge.html#handshake"><strong>Handshake</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="pipelines_edge.html#firmware"><strong>Firmware</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pipelines_IU.html"><strong>Pipelines (Infinite Uptime)</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="pipelines_IU.html#create-iu-pipeline"><strong>Create IU Pipeline</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="pipelines_IU.html#delete-pipeline"><strong>Delete Pipeline</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="pipelines_IU.html#update-pipeline"><strong>Update Pipeline</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="pipelines_IU.html#fetch-pipeline"><strong>Fetch Pipeline</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sites.html"><strong>Sites</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="sites.html#create-a-new-site"><strong>Create a New Site</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="sites.html#delete-site"><strong>Delete Site</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="sites.html#update-site"><strong>Update Site</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="sites.html#fetch-site"><strong>Fetch Site</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="sites.html#fetch-list-of-sites"><strong>Fetch List of Sites</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="samples.html"><strong>Samples</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="samples.html#retrieve-sample-trend"><strong>Retrieve Sample Trend</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="samples.html#retrieve-sample-count"><strong>Retrieve Sample Count</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="tags.html"><strong>Tags</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="tags.html#retrieve-tags-list"><strong>Retrieve Tags List</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="tags.html#retrieve-tags-count"><strong>Retrieve Tags Count</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="tags.html#query-tags-trend"><strong>Query Tags Trend</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="others.html"><strong>Other APIs</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="others.html#server-time"><strong>Server Time</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../EMS/index.html"><strong>EMS APIs</strong></a><ul>
<li class="toctree-l2"><a class="reference internal" href="../EMS/ems_asset.html">EMS Asset</a></li>
<li class="toctree-l2"><a class="reference internal" href="../EMS/ems_benchmarking.html"><strong>EMS Benchmarking</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_benchmarking.html#fetch-product-variation-table-for-plant"><strong>Fetch Product Variation Table for Plant</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../EMS/ems_function.html"><strong>EMS Function</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_function.html#fetch-energy-metrics-for-function"><strong>Fetch Energy Metrics for Function</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_function.html#fetch-energy-metrics-for-functions-in-plant"><strong>Fetch Energy Metrics for Functions in Plant</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_function.html#fetch-energy-metric-trend-for-function"><strong>Fetch Energy Metric Trend for Function</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../EMS/ems_monitor.html"><strong>EMS Monitor</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_monitor.html#fetch-energy-metrics-for-monitor"><strong>Fetch Energy Metrics for Monitor</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_monitor.html#fetch-energy-metrics-monitors-in-plant-or-function"><strong>Fetch Energy Metrics Monitors in Plant or Function</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_monitor.html#fetch-energy-metric-trend-for-monitor"><strong>Fetch Energy Metric trend for Monitor</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../EMS/ems_plant.html"><strong>EMS Plant</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_plant.html#fetch-energy-metrics-for-plant"><strong>Fetch Energy Metrics for Plant</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_plant.html#fetch-energy-metric-trend-for-plant"><strong>Fetch Energy Metric trend for Plant</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../Notebooks/index.html"><strong>Notebooks APIs</strong></a><ul>
<li class="toctree-l2"><a class="reference internal" href="../Notebooks/notebooks.html"><strong>Notebooks</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../Notebooks/notebooks.html#create-notebook"><strong>Create Notebook</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Notebooks/notebooks.html#delete-notebook"><strong>Delete Notebook</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Notebooks/notebooks.html#rename-notebook"><strong>Rename Notebook</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Notebooks/notebooks.html#fetch-notebook-details"><strong>Fetch Notebook Details</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Notebooks/notebooks.html#fetch-list-of-notebooks"><strong>Fetch List of Notebooks</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Notebooks/notebooks.html#fetch-count-of-notebooks"><strong>Fetch Count of Notebooks</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Notebooks/notebooks.html#run-notebook"><strong>Run Notebook</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Notebooks/notebooks.html#schedule-notebook"><strong>Schedule Notebook</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Notebooks/notebooks.html#unschedule-notebook"><strong>Unschedule Notebook</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../Alerting/index.html"><strong>Alerting APIs</strong></a><ul>
<li class="toctree-l2"><a class="reference internal" href="../Alerting/alerts.html"><strong>Alerts</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../Alerting/alerts.html#fetch-alerts-count"><strong>Fetch Alerts Count</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Alerting/alerts.html#fetch-list-of-alerts"><strong>Fetch List of Alerts</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Alerting/alerts.html#fetch-alerts-trend"><strong>Fetch Alerts Trend</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../Alerting/watchers.html"><strong>Watchers</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../Alerting/watchers.html#create-watcher"><strong>Create Watcher</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Alerting/watchers.html#delete-watcher"><strong>Delete Watcher</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Alerting/watchers.html#update-watcher"><strong>Update Watcher</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Alerting/watchers.html#fetch-watcher"><strong>Fetch Watcher</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Alerting/watchers.html#fetch-list-of-watchers"><strong>Fetch List of Watchers</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Alerting/watchers.html#fetch-watcher-count"><strong>Fetch Watcher Count</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../User_Management/index.html"><strong>User Management APIs</strong></a><ul>
<li class="toctree-l2"><a class="reference internal" href="../User_Management/user_management.html"><strong>Users</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../User_Management/user_management.html#create-new-user"><strong>Create New User</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../User_Management/user_management.html#delete-user"><strong>Delete User</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../User_Management/user_management.html#updating-user"><strong>Updating User</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../User_Management/user_management.html#fetch-user"><strong>Fetch User</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../User_Management/user_management.html#fetch-list-of-users"><strong>Fetch List of Users</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../User_Management/password.html"><strong>Password</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../User_Management/password.html#generate-otp"><strong>Generate OTP</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../User_Management/password.html#validate-otp"><strong>Validate OTP</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../User_Management/password.html#update-user-password"><strong>Update User Password</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../Condition_Monitoring/index.html"><strong>CBM APIs</strong></a><ul>
<li class="toctree-l2"><a class="reference internal" href="../Condition_Monitoring/cm_assets.html"><strong>CM Assets</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_assets.html#cm-assets-list"><strong>CM Assets List</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../Condition_Monitoring/cm_events.html"><strong>CM Events</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_events.html#update-event"><strong>Update Event</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_events.html#fetch-event"><strong>Fetch Event</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_events.html#fetch-event-list"><strong>Fetch Event List</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../Condition_Monitoring/cm_faults.html"><strong>CM Faults</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_faults.html#cm-fault-s-status"><strong>CM Fault’s Status</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../Condition_Monitoring/cm_monitors.html"><strong>CM Monitors</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_monitors.html#cm-monitor"><strong>CM Monitor</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_monitors.html#cm-monitors-list"><strong>CM Monitors List</strong></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../Condition_Monitoring/cm_fft.html"><strong>CM FFT</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_fft.html#cm-fft-peaks"><strong>CM FFT Peaks</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_fft.html#cm-asset-fault-summary"><strong>CM Asset Fault Summary</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_fft.html#cm-fft-spectrum"><strong>CM FFT Spectrum</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_fft.html#cm-fft-spectrum-timestamps"><strong>CM FFT Spectrum Timestamps</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../License_Management/index.html"><strong>License Management APIs</strong></a><ul>
<li class="toctree-l2"><a class="reference internal" href="../License_Management/license_management.html"><strong>Licenses</strong></a><ul>
<li class="toctree-l3"><a class="reference internal" href="../License_Management/license_management.html#generate-a-license"><strong>Generate a License</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../License_Management/license_management.html#update-license"><strong>Update License</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../License_Management/license_management.html#get-license"><strong>Get License</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../License_Management/license_management.html#fetch-list-of-licenses"><strong>Fetch List of Licenses</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../License_Management/license_management.html#activate-licenses"><strong>Activate Licenses</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../License_Management/license_management.html#get-notification"><strong>Get Notification</strong></a></li>
<li class="toctree-l3"><a class="reference internal" href="../License_Management/license_management.html#verify-app-access"><strong>Verify App Access</strong></a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">4PointX Documentation</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="index.html"><strong>Asset Metadata APIs</strong></a></li>
      <li class="breadcrumb-item active"><strong>Plants</strong></li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/API/Asset_Metadata/plants.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="plants">
<h1><strong>Plants</strong><a class="headerlink" href="#plants" title="Permalink to this heading">¶</a></h1>
<section id="create-a-plant">
<h2><strong>Create a Plant</strong><a class="headerlink" href="#create-a-plant" title="Permalink to this heading">¶</a></h2>
<dl class="http post">
<dt class="sig sig-object http" id="post--_config-plants-">
<span class="sig-name descname"><span class="pre">POST</span> </span><span class="sig-name descname"><span class="pre">/_config/plants/</span></span><a class="headerlink" href="#post--_config-plants-" title="Permalink to this definition">¶</a></dt>
<dd><p><strong>Description</strong> This is used for creating new plant.</p>
<p><strong>HTTP Method</strong> POST</p>
<p><strong>Endpoint:</strong> <code class="docutils literal notranslate"><span class="pre">/_config/plants/</span></code></p>
<p><strong>Request Header</strong> <code class="docutils literal notranslate"><span class="pre">Authorization</span></code> <cite>Basic &lt;token&gt;</cite></p>
<p><strong>Request Parameters</strong></p>
<p>Body Parameters</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">plant_name</span></code> (string, <em>required</em>): The name of the plant to be created.</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">site_id</span></code> (string, <em>required</em>): The ID of the site to which this plant belongs.</p></li>
</ul>
</div></blockquote>
<p><strong>Sample Request</strong></p>
<blockquote>
<div><div class="highlight-sh notranslate"><div class="highlight"><pre><span></span>curl<span class="w"> </span>--location<span class="w"> </span><span class="s1">&#39;https://app.4pointx.com/_config/plants&#39;</span><span class="w"> </span><span class="se">\</span>
<span class="w">    </span>--header<span class="w"> </span><span class="s1">&#39;Content-Type: application/json&#39;</span><span class="w"> </span><span class="se">\</span>
<span class="w">    </span>--header<span class="w"> </span><span class="s1">&#39;Authorization: Basic &lt;token&gt;&#39;</span><span class="w"> </span><span class="se">\</span>
<span class="w">    </span>--data<span class="w"> </span><span class="s1">&#39;</span>
<span class="s1">       {&quot;plant_name&quot;:&quot;test-plant-test1&quot;,</span>
<span class="s1">        &quot;site_id&quot;:&quot;d2e66edd-f13f-4d00-a7b5-8cab9ef4488d&quot;}</span>
<span class="s1">       &#39;</span>
</pre></div>
</div>
</div></blockquote>
<p><strong>Sample Response</strong></p>
<p>Success</p>
<blockquote>
<div><div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;b33ad9e3-d5ba-4083-a05d-d378851f5b51&quot;</span>
<span class="p">}</span>
</pre></div>
</div>
</div></blockquote>
<p>Error</p>
<blockquote>
<div><div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">    </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">    </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Invalid Content Type&quot;</span>
<span class="w">  </span><span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">    </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">    </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Insufficient Inputs&quot;</span>
<span class="w">  </span><span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">    </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">    </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Invalid Site Id&quot;</span>
<span class="w">  </span><span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">    </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">    </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w">  </span><span class="s2">&quot;Plant Name Should Be Unique&quot;</span>
<span class="w">  </span><span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
</div></blockquote>
</dd></dl>

</section>
<section id="delete-a-plant">
<h2><strong>Delete a Plant</strong><a class="headerlink" href="#delete-a-plant" title="Permalink to this heading">¶</a></h2>
<dl class="http delete">
<dt class="sig sig-object http" id="delete--_config-plants--plant_id-">
<span class="sig-name descname"><span class="pre">DELETE</span> </span><span class="sig-name descname"><span class="pre">/_config/plants/&lt;plant_id&gt;</span></span><a class="headerlink" href="#delete--_config-plants--plant_id-" title="Permalink to this definition">¶</a></dt>
<dd><p><strong>Description</strong> Delete a specific plant by providing its ID.</p>
<p><strong>HTTP Method</strong> DELETE</p>
<p><strong>Endpoint</strong> <code class="docutils literal notranslate"><span class="pre">/_config/plants/&lt;plant_id&gt;</span></code></p>
<p><strong>Request Header</strong> <code class="docutils literal notranslate"><span class="pre">Authorization</span></code> <cite>Basic &lt;token&gt;</cite></p>
<p><strong>Request Parameters</strong></p>
<p>URL Parameters</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">plant_id</span></code> (string, <em>required</em>) The ID of the plant to delete.</p></li>
</ul>
</div></blockquote>
<p><strong>Sample Request</strong></p>
<blockquote>
<div><div class="highlight-sh notranslate"><div class="highlight"><pre><span></span>curl<span class="w"> </span>--location<span class="w"> </span>--request<span class="w"> </span>DELETE<span class="w"> </span><span class="s1">&#39;https://app.4pointx.com/_config/plants/b33ad9e3-d5ba-4083-a05d-d378851f5b51&#39;</span><span class="w"> </span><span class="se">\</span>
<span class="w">      </span>--header<span class="w"> </span><span class="s1">&#39;Authorization: Basic &lt;token&gt;&#39;</span><span class="w"> </span><span class="se">\</span>
</pre></div>
</div>
</div></blockquote>
<p><strong>Sample Response</strong></p>
<p>Success</p>
<blockquote>
<div><div class="highlight-text notranslate"><div class="highlight"><pre><span></span>&quot;Plant deleted&quot;
</pre></div>
</div>
</div></blockquote>
<p>Error</p>
<blockquote>
<div><div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">      </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">      </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Events exist for b33ad9e3-d5ba-4083-a05d-d378851f5b51&quot;</span>
<span class="w">      </span><span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">      </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">      </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Pipelines exist for b33ad9e3-d5ba-4083-a05d-d378851f5b51&quot;</span>
<span class="w">      </span><span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">      </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">      </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Assets exist for b33ad9e3-d5ba-4083-a05d-d378851f5b51&quot;</span>
<span class="w">      </span><span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">      </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">      </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Functions exists on the plant&quot;</span>
<span class="w">      </span><span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
</div></blockquote>
</dd></dl>

</section>
<section id="update-plant">
<h2><strong>Update Plant</strong><a class="headerlink" href="#update-plant" title="Permalink to this heading">¶</a></h2>
<dl class="http put">
<dt class="sig sig-object http" id="put--_config-plants--plant_id-">
<span class="sig-name descname"><span class="pre">PUT</span> </span><span class="sig-name descname"><span class="pre">/_config/plants/&lt;plant_id&gt;</span></span><a class="headerlink" href="#put--_config-plants--plant_id-" title="Permalink to this definition">¶</a></dt>
<dd><p><strong>Description</strong> Update the details of a specific plant by providing its ID.</p>
<p><strong>HTTP Method</strong> PUT</p>
<p><strong>Endpoint</strong> <code class="docutils literal notranslate"><span class="pre">/_config/plants/&lt;plant_id&gt;</span></code></p>
<p><strong>Request Header</strong> <code class="docutils literal notranslate"><span class="pre">Authorization</span></code> <cite>Basic &lt;token&gt;</cite></p>
<p><strong>Request Parameters</strong></p>
<p>Body Parameters</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">plant_name</span></code> (string, <em>required</em>): The updated name of the plant.</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">site_id</span></code> (string, <em>required</em>): The ID of the site to which this plant belongs.</p></li>
</ul>
</div></blockquote>
<p>URL Parameters</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">plant_id</span></code> (string, <em>required</em>) The ID of the plant to update.</p></li>
</ul>
</div></blockquote>
<p><strong>Sample Request</strong></p>
<blockquote>
<div><div class="highlight-sh notranslate"><div class="highlight"><pre><span></span>curl<span class="w"> </span>--location<span class="w"> </span>--request<span class="w"> </span>PUT<span class="w"> </span><span class="s1">&#39;https://app.4pointx.com/_config/plants/b33ad9e3-d5ba-4083-a05d-d378851f5b51&#39;</span><span class="w"> </span><span class="se">\</span>
<span class="w">     </span>--header<span class="w"> </span><span class="s1">&#39;Content-Type: application/json&#39;</span><span class="w"> </span><span class="se">\</span>
<span class="w">     </span>--header<span class="w"> </span><span class="s1">&#39;Authorization: Basic &lt;token&gt;&#39;</span><span class="w"> </span><span class="se">\</span>
<span class="w">     </span>--data<span class="w"> </span><span class="s1">&#39;</span>
<span class="s1">     {&quot;plant_name&quot;:&quot;test-plant-1sep-mod&quot;,</span>
<span class="s1">      &quot;site_id&quot;:&quot;d2e66edd-f13f-4d00-a7b5-8cab9ef4488d&quot;}</span>
<span class="s1">        &#39;</span>
</pre></div>
</div>
</div></blockquote>
<p><strong>Sample Response</strong></p>
<p>Success</p>
<blockquote>
<div><div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="s2">&quot;Plant Updated&quot;</span>
</pre></div>
</div>
</div></blockquote>
<p>Error</p>
<blockquote>
<div><div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">    </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">    </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Invalid Content Type&quot;</span>
<span class="w">  </span><span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">    </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">    </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w">  </span><span class="s2">&quot;Insufficient Inputs&quot;</span>
<span class="w">  </span><span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">   </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">   </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Invalid Plant&quot;</span>
<span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">   </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">   </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w">  </span><span class="s2">&quot;Plant Name Should Be Unique&quot;</span>
<span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
</div></blockquote>
</dd></dl>

</section>
<section id="fetch-plant">
<h2><strong>Fetch Plant</strong><a class="headerlink" href="#fetch-plant" title="Permalink to this heading">¶</a></h2>
<dl class="http get">
<dt class="sig sig-object http" id="get--_config-plants--plant_id-">
<span class="sig-name descname"><span class="pre">GET</span> </span><span class="sig-name descname"><span class="pre">/_config/plants/&lt;plant_id&gt;</span></span><a class="headerlink" href="#get--_config-plants--plant_id-" title="Permalink to this definition">¶</a></dt>
<dd><p><strong>Description</strong> Retrieve details about a specific plant by providing its ID.</p>
<p><strong>HTTP Method</strong> GET</p>
<p><strong>Endpoint</strong> <code class="docutils literal notranslate"><span class="pre">/_config/plants/&lt;plant_id&gt;</span></code></p>
<p><strong>Request Header</strong> <code class="docutils literal notranslate"><span class="pre">Authorization</span></code> <cite>Basic &lt;token&gt;</cite></p>
<p><strong>Request Parameters</strong></p>
<p>URL Parameters</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">plant_id</span></code> (string, <em>required</em>): The ID of the plant to retrieve details for.</p></li>
</ul>
</div></blockquote>
<p><strong>Sample Request</strong></p>
<blockquote>
<div><div class="highlight-sh notranslate"><div class="highlight"><pre><span></span>curl<span class="w"> </span>--location<span class="w"> </span><span class="s1">&#39;http://app.4pointx.com/_config/plants/b33ad9e3-d5ba-4083-a05d-d378851f5b51&#39;</span><span class="w"> </span><span class="se">\</span>
<span class="w">     </span>--header<span class="w"> </span><span class="s1">&#39;Authorization: Basic &lt;token&gt;&#39;</span>
</pre></div>
</div>
</div></blockquote>
<p><strong>Sample Response</strong></p>
<p>Success</p>
<blockquote>
<div><div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;plant_id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;b33ad9e3-d5ba-4083-a05d-d378851f5b51&quot;</span><span class="p">,</span>
<span class="w">  </span><span class="nt">&quot;plant_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;test-plant-1sep-test1&quot;</span><span class="p">,</span>
<span class="w">  </span><span class="nt">&quot;site_id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;d2e66edd-f13f-4d00-a7b5-8cab9ef4488d&quot;</span><span class="p">,</span>
<span class="w">  </span><span class="nt">&quot;site_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Demo Site&quot;</span>
<span class="p">}</span>
</pre></div>
</div>
</div></blockquote>
<p>Error</p>
<blockquote>
<div><div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">    </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">    </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w">  </span><span class="s2">&quot;Invalid Plant for 5476481-48e5-b2a0-ae810a948839&quot;</span>
<span class="w">  </span><span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">    </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">405</span><span class="p">,</span>
<span class="w">    </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Method Not Allowed&quot;</span>
<span class="w">  </span><span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
</div></blockquote>
</dd></dl>

</section>
<section id="fetch-list-of-plants">
<h2><strong>Fetch List of Plants</strong><a class="headerlink" href="#fetch-list-of-plants" title="Permalink to this heading">¶</a></h2>
<dl class="http get">
<dt class="sig sig-object http" id="get--_config-plants-_list">
<span class="sig-name descname"><span class="pre">GET</span> </span><span class="sig-name descname"><span class="pre">/_config/plants/_list</span></span><a class="headerlink" href="#get--_config-plants-_list" title="Permalink to this definition">¶</a></dt>
<dd><p><strong>Description</strong> Retrieve a list of plants associated with a specific site.</p>
<p><strong>HTTP Method</strong> GET</p>
<p><strong>Endpoint</strong> <code class="docutils literal notranslate"><span class="pre">/_config/plants/_list</span></code></p>
<p><strong>Request Header</strong> <code class="docutils literal notranslate"><span class="pre">Authorization</span></code> <cite>Basic &lt;token&gt;</cite></p>
<p><strong>Request Parameters</strong></p>
<p>Query Parameters</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">site_id</span></code> (string, <em>required</em>): The ID of the site for which you want to list plants.</p></li>
</ul>
</div></blockquote>
<p><strong>Sample Request</strong></p>
<blockquote>
<div><div class="highlight-sh notranslate"><div class="highlight"><pre><span></span>curl<span class="w"> </span>--location<span class="w"> </span><span class="s1">&#39;https://app.4pointx.com/_config/plants/_list?site_id=d2e66edd-f13f-4d00-a7b5-8cab9ef4488d&#39;</span><span class="w"> </span><span class="se">\</span>
<span class="w">     </span>--header<span class="w"> </span><span class="s1">&#39;Authorization: Basic &lt;token&gt;&#39;</span><span class="w"> </span><span class="se">\</span>
<span class="w">     </span>--data<span class="w"> </span><span class="s1">&#39;&#39;</span>
</pre></div>
</div>
</div></blockquote>
<p><strong>Sample Response</strong></p>
<p>Success</p>
<blockquote>
<div><div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">[</span>
<span class="w">    </span><span class="p">{</span>
<span class="w">       </span><span class="nt">&quot;plant_id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;e29ae75e-dd88-45ef-90cb-cefb3807af70&quot;</span><span class="p">,</span>
<span class="w">       </span><span class="nt">&quot;plant_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Demo Plant&quot;</span><span class="p">,</span>
<span class="w">       </span><span class="nt">&quot;site_id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;d2e66edd-f13f-4d00-a7b5-8cab9ef4488d&quot;</span><span class="p">,</span>
<span class="w">       </span><span class="nt">&quot;site_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Demo Site&quot;</span><span class="p">,</span>
<span class="w">       </span><span class="nt">&quot;function_count&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">3</span><span class="p">,</span>
<span class="w">       </span><span class="nt">&quot;pipeline_count&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">10</span>
<span class="w">    </span><span class="p">},</span>
<span class="w">    </span><span class="p">{</span>
<span class="w">       </span><span class="nt">&quot;plant_id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;bbdc76c9-6551-4cb2-b257-816a7ef172de&quot;</span><span class="p">,</span>
<span class="w">       </span><span class="nt">&quot;plant_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;teswt&quot;</span><span class="p">,</span>
<span class="w">       </span><span class="nt">&quot;site_id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;d2e66edd-f13f-4d00-a7b5-8cab9ef4488d&quot;</span><span class="p">,</span>
<span class="w">       </span><span class="nt">&quot;site_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Demo Site&quot;</span><span class="p">,</span>
<span class="w">       </span><span class="nt">&quot;function_count&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="p">,</span>
<span class="w">       </span><span class="nt">&quot;pipeline_count&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span>
<span class="w">    </span><span class="p">}</span>
<span class="w"> </span><span class="p">]</span>
</pre></div>
</div>
</div></blockquote>
<p>Error</p>
<blockquote>
<div><div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">  </span><span class="nt">&quot;error&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">{</span>
<span class="w">    </span><span class="nt">&quot;status&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">400</span><span class="p">,</span>
<span class="w">    </span><span class="nt">&quot;message&quot;</span><span class="p">:</span><span class="w">  </span><span class="s2">&quot;Insufficient Inputs&quot;</span>
<span class="w">  </span><span class="p">}</span>
<span class="p">}</span>
</pre></div>
</div>
</div></blockquote>
</dd></dl>

</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="monitors.html" class="btn btn-neutral float-left" title="Monitors" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="pipelines.html" class="btn btn-neutral float-right" title="Pipelines" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, 4PointX.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>